- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP3FontGroup Class Reference

`#include <WP3FontGroup.h>`

Inheritance diagram for WP3FontGroup:

## Public Member Functions
| WP3FontGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3FontGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP3Listener *listener)
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
virtual | ~WP3VariableLengthGroup ()
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()

## Private Attributes
RGBSColor | m_fontColor
librevenge::RVNGString | m_fontName
unsigned short | m_fontSize

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

WP3FontGroup::WP3FontGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP3FontGroup::~WP3FontGroup | ( |  | ) |

## Member Function Documentation

void WP3FontGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP3VariableLengthGroup.

void WP3FontGroup::parse | ( | WP3Listener * | listener | ) |
| virtual

Implements WP3Part.

## Member Data Documentation

RGBSColor WP3FontGroup::m_fontColor
| private

Referenced by _readContents(), and parse().

librevenge::RVNGString WP3FontGroup::m_fontName
| private

Referenced by _readContents(), and parse().

unsigned short WP3FontGroup::m_fontSize
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3FontGroup.h
- WP3FontGroup.cpp